Subject: Re: bug#47631: Add graphical installation and solve tons of headache

From: bo0od <[email-masked]>
Date: Fri, 16 Apr 2021 02:19:57 +0000

> For now, our focus is on improving the guided installer itself.

Ok as you wish why not, But please dont give something less than what 
Debian installer providing.

Ludovic Courtès:
> Hi,
> 
> bo0od <[email-masked]> skribis:
> 
>>> Did you try the graphical installation?
>>>
>>>     https://guix.gnu.org/en/videos/system-graphical-installer/
>>>
>>> It’s key strokes rather than clicks, but I think it addresses most of
>>> the issues you describe.
>>
>> Yes i do know this, But whats different between what guix is doing and
>> others are doing (examples i gave above), They give you access to GUI
>> of their distro without internet and from within this live GUI access
>> to the distro you can configure the internet/partition..etc (easily
>> specially for first time users) using GUI tools without internet (you
>> can even test the distro without the need to install it)
> 
> Letting users use GUI (or non-GUI) tools by themselves doesn’t look
> appealing to me.  We made the choice to provide a guided installer,
> similar to that of Debian and other distros, such that users don’t have
> to figure out by themselves that they need to run gparted, follow steps,
> etc.
> 
>> Thats what im requesting not what is currently happening.
>>
>>> Did you try the live VM image?
>>>
>>>     https://guix.gnu.org/en/download/
>>
>> What? where?
> 
> Search for “QEMU”.
> 
>>> I’m closing because I don’t see anything actionable.  Please file issues
>>> focused on specific problems.
>>
>> Guix need to improve itself when first time initiated, Please check
>> other projects like NixOS,Triskel,Mint,Ubuntu...etc
> 
> I contributed to NixOS long ago, and unless things have changed, it
> doesn’t have a guided installer.
> 
>> If you dont like that live graphical gui access, then do it as debian
>> is doing it which give you proper gui screen specifically intended to
>> configure your internet then you can proceed with the installation.
> 
> So I guess your primary request is about giving access to the GUIs.
> That comes at a cost (the ISO is already quite big) but that’s something
> we could consider.
> 
> For now, our focus is on improving the guided installer itself.
> 
> Thanks,
> Ludo’.
>